Bug 246709 - crash in raid6 config
crash in raid6 config
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pykickstart (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-04 05:29 EDT by Levente Farkas
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-10 10:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the kickstart file (3.29 KB, text/plain)
2007-07-04 05:29 EDT, Levente Farkas
no flags Details

  None (edit)
Description Levente Farkas 2007-07-04 05:29:58 EDT
Description of problem:
when i run revisor-2.0.4.0-1.fc7 with one of our kickstart file i always got
this error, the reason can be that we use raid6 in the attached config:
-----------------------------------------
    File "/usr/lib/python2.5/site-packages/revisor/ready_screen.py", line 165,
in button_forward_clicked
        self.gui.displayBuildMedia()
    File "/usr/lib/python2.5/site-packages/revisor/gui.py", line 255, in
displayBuildMedia
        self.BuildMedia?.start()
    File "/usr/lib/python2.5/site-packages/revisor/build_media.py", line 69, in
start
        self.base.lift_off()
    File "/usr/lib/python2.5/site-packages/revisor/base.py", line 460, in lift_off
        self.buildInstallationMedia()
    File "/usr/lib/python2.5/site-packages/revisor/base.py", line 679, in
buildInstallationMedia
        f.write(self.cfg.kshandler.str())
    File "/usr/lib/python2.5/site-packages/pykickstart/base.py", line 215, in str
        retval += obj.str()
    File "/usr/lib/python2.5/site-packages/pykickstart/commands/raid.py", line
111, in str
        retval += raid.str()
    File "/usr/lib/python2.5/site-packages/pykickstart/commands/raid.py", line
55, in str
        return "raid %s %s %s\n" % (self.mountpoint, self._argsToStr(),
    File "/usr/lib/python2.5/site-packages/pykickstart/commands/raid.py", line
89, in _argsToStr
        retval = FC4_RaidData._argsToStr()
TypeError?: unbound method _argsToStr() must be called with FC4_RaidData
instance as first argument (got nothing instead) 
-----------------------------------------
see the reference:
https://hosted.fedoraproject.org/projects/revisor/ticket/195

Version-Release number of selected component (if applicable):

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Levente Farkas 2007-07-04 05:29:58 EDT
Created attachment 158508 [details]
the kickstart file
Comment 2 Levente Farkas 2007-07-04 05:31:02 EDT
but the same config works when use in pxe boot.
Comment 3 Chris Lumens 2007-07-10 10:41:37 EDT
This will be fixed in the next build of pykickstart.  Thanks for the report.
Comment 4 Levente Farkas 2007-07-10 11:17:58 EDT
which build? konji, fedora, updates, rhel ...?
from where can i get the latest new rpm?:-)
Comment 5 Chris Lumens 2007-07-10 11:25:27 EDT
It will show up in the Fedora development tree after I build a new version of
the package.  That may still be a day or two away, though.
Comment 6 Levente Farkas 2007-07-16 04:20:23 EDT
i still can't seen anything in konji:-(

Note You need to log in before you can comment on or make changes to this bug.